import request from '@/utils/request'

//ITIC SEMI 获取数据
export function getPlot(data: any) {
    return request({
        url: '/event-boot/monitor/getPlot',
        method: 'post',
        data
    })
}

//电压暂降表及密度 DISDIP 获取数据
export function IEC411(data) {
    return request({
        url: '/event-boot/monitor/IEC411',
        method: 'post',
        data
    })
}

//电压暂降表及密度 IEC61000 获取数据
export function IEC28(data: any) {
    return request({
        url: '/event-boot/monitor/IEC28',
        method: 'post',
        data
    })
}

//电压暂降表及密度 IEC61000 获取数据
export function eventDisdip(data: any) {
    return request({
        url: '/event-boot/monitor/eventDisdip',
        method: 'post',
        data
    })
}

//电压暂降表及密度 暂降密度图 获取数据
export function getCoords(data: any) {
    return request({
        url: '/event-boot/monitor/getCoords',
        method: 'post',
        data
    })
}

// 暂降分布统计 左 获取数据
export function getReasonTypeTime(data: any) {
    return request({
        url: '/event-boot/monitor/getReasonTypeTime',
        method: 'post',
        data
    })
}

// 暂降分布统计 右 获取数据
export function getStatistic(data: any) {
    return request({
        url: '/event-boot/monitor/getStatistic',
        method: 'post',
        data
    })
}

// 暂降分布统计 右 获取数据
export function getProbabilityDistribution(data: any) {
    return request({
        url: '/event-boot/monitor/getProbabilityDistribution',
        method: 'post',
        data
    })
}

// 事件分析  获取数据
export function getMonitorEventAnalyseQuery(data: any) {
    return request({
        url: '/event-boot/monitor/getMonitorEventAnalyseQuery',
        method: 'post',
        data
    })
}

// 事件分析  下载
export function downloadMonitorEventWaveFile(data: any) {
    return request({
        url: '/event-boot/monitor/downloadMonitorEventWaveFile',
        method: 'post',
        data: data.lineId,
        responseType: 'blob'
    })
}